FolksDummy.Persona.Persona – folks-dummy Reference Manual

# Persona

## Description:

public Persona (PersonaStore store, string contact_id, bool is_user = false, string[] linkable_properties = new string[0] {})

Create a new persona.

Create a new persona for the FolksDummy.PersonaStore `store`, with the given construct-only properties.

The persona’s Folks.Persona.writeable_properties are initialised to the given `store` ’s Folks.PersonaStore.always_writeable_properties. They may be updated afterwards using FolksDummy.Persona.update_writeable_properties.

## Parameters:

store | the store which will contain the persona
contact_id | a unique free-form string identifier for the persona
is_user | `true` if the persona represents the user, `false` otherwise
linkable_properties | an array of names of the properties which should be used for linking this persona to others

## Since:

0.9.7